Bug 904302 - [abrt] espeak-1.46.02-6.fc18: wave_write: Process /usr/bin/espeak was killed by signal 6 (SIGABRT)
[abrt] espeak-1.46.02-6.fc18: wave_write: Process /usr/bin/espeak was killed ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: espeak (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
abrt_hash:f202245ad4b84836ecdd99dcc34...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 22:46 EST by Gergely POLONKAI
Modified: 2013-02-25 21:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 21:47:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (13.00 KB, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: cgroup (129 bytes, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: core_backtrace (701 bytes, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: dso_list (2.99 KB, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: environ (2.77 KB, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: maps (14.76 KB, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: open_fds (104 bytes, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: proc_pid_status (915 bytes, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: smolt_data (3.22 KB, text/plain)
2013-01-25 22:46 EST, Gergely POLONKAI
no flags Details
File: var_log_messages (568 bytes, text/plain)
2013-01-25 22:47 EST, Gergely POLONKAI
no flags Details
Proposed fix sent upstream (6.97 KB, patch)
2013-02-13 05:44 EST, Jaroslav Škarvada
no flags Details | Diff
Proposed fix sent upstream (6.68 KB, patch)
2013-02-13 05:48 EST, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Gergely POLONKAI 2013-01-25 22:46:30 EST
Version-Release number of selected component:
espeak-1.46.02-6.fc18

Additional info:
backtrace_rating: 4
cmdline:        espeak -vhu -k1 --punct d
crash_function: wave_write
executable:     /usr/bin/espeak
kernel:         3.7.2-204.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #4 wave_write at wave_pulse.cpp:691
 #5 dispatch_audio at speak_lib.cpp:126
 #6 create_events at speak_lib.cpp:204
 #7 Synthesize at speak_lib.cpp:489
 #8 sync_espeak_Synth at speak_lib.cpp:636
 #9 process_espeak_command at espeak_command.cpp:547
 #10 say_thread at fifo.cpp:450
Comment 1 Gergely POLONKAI 2013-01-25 22:46:37 EST
Created attachment 687794 [details]
File: backtrace
Comment 2 Gergely POLONKAI 2013-01-25 22:46:39 EST
Created attachment 687795 [details]
File: cgroup
Comment 3 Gergely POLONKAI 2013-01-25 22:46:41 EST
Created attachment 687796 [details]
File: core_backtrace
Comment 4 Gergely POLONKAI 2013-01-25 22:46:43 EST
Created attachment 687797 [details]
File: dso_list
Comment 5 Gergely POLONKAI 2013-01-25 22:46:46 EST
Created attachment 687798 [details]
File: environ
Comment 6 Gergely POLONKAI 2013-01-25 22:46:48 EST
Created attachment 687799 [details]
File: limits
Comment 7 Gergely POLONKAI 2013-01-25 22:46:51 EST
Created attachment 687800 [details]
File: maps
Comment 8 Gergely POLONKAI 2013-01-25 22:46:53 EST
Created attachment 687801 [details]
File: open_fds
Comment 9 Gergely POLONKAI 2013-01-25 22:46:55 EST
Created attachment 687802 [details]
File: proc_pid_status
Comment 10 Gergely POLONKAI 2013-01-25 22:46:59 EST
Created attachment 687803 [details]
File: smolt_data
Comment 11 Gergely POLONKAI 2013-01-25 22:47:01 EST
Created attachment 687804 [details]
File: var_log_messages
Comment 12 Jaroslav Škarvada 2013-02-13 05:44:30 EST
Created attachment 696757 [details]
Proposed fix sent upstream

There is no error checking in the libespeak and the espeak binary which can result in such cores.

Reproducer:
kill pulseaudio by e.g.:
# echo "autospawn = no" >> /etc/pulse/client.conf && pkill pulseaudio
run espeak by e.g.:
$ echo hi | espeak

Attached fix is an effort to add such checking and not breaking the libespeak API/ABI. Patch sent upstream, waiting for reply.
Comment 13 Jaroslav Škarvada 2013-02-13 05:48:02 EST
Created attachment 696759 [details]
Proposed fix sent upstream

Whitespace errors fixed.
Comment 14 Jaroslav Škarvada 2013-02-13 06:04:55 EST
Upstream ticket:
https://sourceforge.net/tracker/?func=detail&aid=3604475&group_id=159649&atid=812675
Comment 15 Fedora Update System 2013-02-15 05:39:40 EST
espeak-1.46.02-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/espeak-1.46.02-8.fc18
Comment 16 Fedora Update System 2013-02-15 20:04:20 EST
Package espeak-1.46.02-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing espeak-1.46.02-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2554/espeak-1.46.02-8.fc18
then log in and leave karma (feedback).
Comment 17 Vasilis Keramidas 2013-02-24 18:08:26 EST
Package espeak-1.46.02-8.fc18:
* seems to fix the issue
* I leaved positive feedback at https://admin.fedoraproject.org/updates/F18/FEDORA-2013-2554
Comment 18 Fedora Update System 2013-02-25 21:47:23 EST
espeak-1.46.02-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.